import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { ProductSaleReportItem } from './product-sale-report-item';

export class ProductSaleReportDataSource extends DataSource<ProductSaleReportItem> {
  constructor(public data: ProductSaleReportItem[]) {
    super();
  }

  connect(): Observable<ProductSaleReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
