import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { HeaderFooter } from './header-footer';
import { HeaderFooterService } from './header-footer.service';

@Injectable({
  providedIn: 'root',
})
export class HeaderFooterResolver implements Resolve<HeaderFooter[]> {
  constructor(private ser: HeaderFooterService) {}

  resolve(): Observable<HeaderFooter[]> {
    return this.ser.list();
  }
}
