import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Section } from '../../core/section';

export class SectionListDataSource extends DataSource<Section> {
  constructor(public data: Section[]) {
    super();
  }

  connect(): Observable<Section[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
