import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { UpdateProductPricesItem } from './update-product-prices-item';

export class UpdateProductPricesDataSource extends DataSource<UpdateProductPricesItem> {
  constructor(public data: UpdateProductPricesItem[]) {
    super();
  }

  connect(): Observable<UpdateProductPricesItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
